### Tcl/Tk Keywords - S

## A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

safe
  Tk_Init
safe interpreter
  safe, loadTk
safe interpreter
  interp, load
scalar
  SetVar
scale
  scale
scan
  binary, scan
screen
  winfo, CrtWindow, GetVisual, WindowId
screen distance
  SetOptions
screen units
  GetPixels
script
  eval, fileevent, source, time, Eval, BindTable
script file
  tclsh
scrollbar
  scrollbar, GetScroll
scrolling command
  GetScroll
search
  array, lsearch, Hash
security
  send
security policy
  http
seek
  seek, OpenFileChnl
seeking
  tell
selection
  clipboard, selection, CanvTkwin, CanvTxtInfo, ClrSelect, CrtItemType, CrtSelHdlr
selection anchor
  CanvTxtInfo
selection owner
  OwnSelect
selection retrieval
  GetSelect
send
  send, tk
send command
  SetAppName
separator
  join
serial
  open
server
  OpenTcp
service mode
  Notifier
set
  lset, SetVar
shadow
  3DBorder
shared library
  load
shell
  tclsh, wish
signal
  Async
signal numbers
  Signal
signals
  Signal
size
  grid, pack, wm
slave
  place, CrtSlave, MaintGeom
slave interpreter
  interp, safe, loadTk
sleep
  after, Sleep
slider
  scale
socket
  http, socket
sort
  lsort
source
  safe, loadTk
spinbox
  spinbox
split
  split, SplitList, SplitPath
sprintf
  format
stack
  AddErrInfo
stack frame
  uplevel
stacking order
  lower, raise, Restack
standard channel
  GetStdChan
standard channels
  StdChannels
standard error
  GetStdChan
standard input
  GetStdChan
standard option
  options
standard output
  GetStdChan
stat
  file, Access
stat access filesystem vfs
  FileSystem
state
  SaveResult
static linking
  StaticPkg
stipple
  CanvPsY
storage
  Preserve
string
  format, lsearch, re_syntax, regexp, split, string, ExprLong, ExprLongObj, LinkVar, PrintDbl, RegExp, StrMatch, GetJustify, GetRelief
string object
  StringObj
string representation
  BoolObj, DoubleObj, IntObj, ListObj, Object, ObjectType, StringObj
string type
  StringObj
strings
  Concat, SplitList
stubs
  InitStubs, TkInitStubs
subexpression
  RegExp
sublist
  lrange
subprocess
  exec, tclvars
substitute
  regsub
substitution
  format
switch
  switch, options
synonym
  ConfigWidg, SetOptions

    Copyright © 1989-1994 The Regents of the University of California.
    Copyright © 1990-1994 The Regents of the University of California
    Copyright © 1992-1999 Karl Lehenbauer and Mark Diekhans
    Copyright © 1992-1999 Karl Lehenbauer and Mark Diekhans.
    Copyright © 1993-1997 Bell Labs Innovations for Lucent Technologies
    Copyright © 1994 The Australian National University
    Copyright © 1994-2000 Sun Microsystems, Inc.
    Copyright © 1997-2000 Ajuba Solutions.
    Copyright © 1997-2000 Scriptics Corporation.
    Copyright © 1998 Mark Harrison.
    Copyright © 1998-1999 Scriptics Corporation
    Copyright © 1998-2000 Ajuba Solutions
    Copyright © 1999 Scriptics Corportation
    Copyright © 2000 Jeffrey Hobbs.
    Copyright © 2001 ActiveState Tool Corp.
    Copyright © 2001 Kevin B. Kenny.
    Copyright © 2001 Vincent Darley
    Copyright © 2001-2002 ActiveState Corporation
    Copyright © 2001-2002 Donal K. Fellows
    Copyright © 2001-2002 Kevin B. Kenny. All rights reserved.
    Copyright © 2001-2004 ActiveState Corporation.
    Copyright © 1995-1997 Roger E. Critchlow Jr.